
/*
* Copyright (C) 2004-2014 Texas Instruments Incorporated - http://www.ti.com/
* All rights reserved.	
*
*  Redistribution and use in source and binary forms, with or without
*  modification, are permitted provided that the following conditions
*  are met:
*
*    Redistributions of source code must retain the above copyright
*    notice, this list of conditions and the following disclaimer.
*
*    Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the
*    documentation and/or other materials provided with the
*    distribution.
*
*    Neither the name of Texas Instruments Incorporated nor the names of
*    its contributors may be used to endorse or promote products derived
*    from this software without specific prior written permission.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
*  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
*  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/

// Filter length : 195 taps

#pragma DATA_ALIGN(cf_1to2_hbw, 8);

const float cf_1to2_hbw[] = {
1.674645198e-006,
5.046957689e-007,
-1.246746519e-005,
-3.318696539e-005,
-3.509933206e-005,
-3.06288187e-006,
2.792825984e-005,
1.049284053e-005,
-3.212204808e-005,
-2.402747642e-005,
3.452926437e-005,
4.258964746e-005,
-3.233835773e-005,
-6.572328858e-005,
2.278473157e-005,
9.19992211e-005,
-3.349501723e-006,
-0.0001190915307,
-2.814089824e-005,
0.0001437458022,
7.330088399e-005,
-0.000161742037,
-0.0001328147241,
0.0001680428609,
0.0002061252147,
-0.0001569904306,
-0.000291077996,
0.0001226689598,
0.0003836629607,
-5.935604602e-005,
-0.0004778325242,
-3.792616394e-005,
0.0005654435902,
0.0001727849072,
-0.000636360572,
-0.0003467944348,
0.0006787298009,
0.0005588321192,
-0.0006794576309,
-0.0008044769471,
0.000624879721,
0.00107551797,
-0.0005016071905,
-0.001359623469,
0.0002975215712,
0.001640210416,
-2.895850722e-006,
-0.001896576877,
-0.0003884391153,
0.002104296206,
0.0008779052265,
-0.002235945004,
-0.001461112288,
0.002262070668,
0.002126898466,
-0.00215245176,
-0.002856611586,
0.001877554853,
0.003623652487,
-0.001410114116,
-0.004393239898,
0.0007269479949,
0.005122761303,
0.0001896408284,
-0.005761883283,
-0.001349891821,
0.006253748707,
0.002755823015,
-0.006535223795,
-0.004399722872,
0.006538009381,
0.006263730259,
-0.006189018312,
-0.008319796086,
0.005409805552,
0.01052988611,
-0.004114753297,
-0.0128469324,
0.002206309759,
0.01521612027,
0.0004346407226,
-0.01757683806,
-0.003968270184,
0.01986482293,
0.008634909164,
-0.02201467235,
-0.01483857015,
0.02396247319,
0.0233430257,
-0.02564848559,
-0.03580452909,
0.0270197359,
0.05658209697,
-0.02803233936,
-0.1017843884,
0.0286534642,
0.3168582786,
0.4711372029
};

/*
FILTER    1
PASSBAND RIPPLE IN -dB          -0.04986
STOPBAND RIPPLE IN -dB              -125
PASSBAND CUTOFF FREQUENCY  2.02e+004     HERTZ
STOPBAND CUTOFF FREQUENCY   7.2e+004     HERTZ
SAMPLING FREQUENCY         1.764e+005     HERTZ
UP/DOWN SAMPLE FACTOR IN THIS STAGE         2
LENGTH OF THIS FILTER                      19
*/

#pragma DATA_ALIGN(cf_2to4_hbw, 8);

const float cf_2to4_hbw[] = {
-0.0005355763525,
-0.001793355914,
0.00111992949,
0.01178042871,
0.008583492979,
-0.0339385704,
-0.05754400869,
0.06010714656,
0.2984807358,
0.4278983085
};

/*
FILTER    1
PASSBAND RIPPLE IN -dB          -0.02496
STOPBAND RIPPLE IN -dB              -125
PASSBAND CUTOFF FREQUENCY  2.02e+004     HERTZ
STOPBAND CUTOFF FREQUENCY   7.2e+004     HERTZ
SAMPLING FREQUENCY         1.92e+005     HERTZ
UP/DOWN SAMPLE FACTOR IN THIS STAGE         2
LENGTH OF THIS FILTER                      24
*/

#pragma DATA_ALIGN (cf_1toH_hbw, 8);
const float	cf_1toH_hbw[] = {
0.0001304573361,
0.000573414585,
0.0001650676727,
-0.003138709628,
-0.004465460906,
0.007518782886,
0.02106150532,
-0.005963952055,
-0.06271611605,
-0.02827382568,
0.1761706113,
0.3989469538
};

// filter length: 192 taps

#pragma DATA_ALIGN (cf_HtoQ_hbw, 8);
float const cf_HtoQ_hbw[] = {
-5.45308586e-006,
-1.79402798e-005,
-2.263105805e-005,
1.228340638e-007,
3.645552689e-005,
3.928410143e-005,
-2.425197807e-006,
-2.645575749e-005,
1.381116089e-005,
5.513718466e-005,
1.268444836e-005,
-5.75340118e-005,
-2.49998343e-005,
7.529628768e-005,
6.070602006e-005,
-7.479274754e-005,
-9.46012921e-005,
7.318240741e-005,
0.000142768688,
-5.240064653e-005,
-0.0001911178542,
1.835787054e-005,
0.0002439291687,
3.892697771e-005,
-0.0002905276737,
-0.0001173935461,
0.0003280510886,
0.0002212387196,
-0.0003461005985,
-0.0003475886965,
0.0003376727266,
0.0004947856825,
-0.0002924318533,
-0.0006560521977,
0.0002022609589,
0.0008232762102,
-5.873151333e-005,
-0.0009842707124,
-0.0001439225086,
0.00112456701,
0.0004092225446,
-0.001226714544,
-0.0007366982419,
0.001271572934,
0.001121639268,
-0.001238651649,
-0.001553949246,
0.001107571701,
0.002017980334,
-0.0008590346474,
-0.002492022157,
0.0004764228308,
0.002948459762,
5.276855552e-005,
-0.003354131648,
-0.0007355080937,
0.003670869164,
0.001571595946,
-0.003856760122,
-0.002552703269,
0.003867081186,
0.003661004675,
-0.003656065729,
-0.004868708802,
0.003178154276,
0.006137345575,
-0.002389635,
-0.007417652935,
0.001249838262,
0.008649553043,
0.0002781293765,
-0.009762128434,
-0.002227449273,
0.01067327468,
0.004628890022,
-0.01128856262,
-0.007514275178,
0.011498102,
0.01092334072,
-0.01116946832,
-0.01491643523,
0.01013320111,
0.01959954639,
-0.008151061346,
-0.02517433421,
0.004845865897,
0.03205100882,
0.0004719355433,
-0.04113862214,
-0.009301228447,
0.05476403483,
0.02577594969,
-0.08073384049,
-0.06725952288,
0.1688683212,
0.4292091134
};
